Subject: FW: DTMF and Signals descriptor

From: Tom-PT Taylor <[email-masked]>
Date: Tue, 1 Feb 2000 13:40:43 -0600

May I restate the proposal to the list: signal lists are made up of signals
which have duration and type -- they do not themselves have duration or
type.  Comments?

> -----Original Message-----
> From: Rosen, Brian [SMTP:[email-masked]]
> Sent: Wednesday, January 26, 2000 3:58 PM
> To:   [email-masked]
> Subject:      Re: DTMF and Signals descriptor
>
> Right, but are you in agreement that signal lists don't have
> signal type or duration parameters?
>
> Brian
>
> > -----Original Message-----
> > From: John Segers [mailto:[email-masked]]
> > Sent: Tuesday, January 25, 2000 8:22 AM
> > To: [email-masked]
> > Subject: Re: DTMF and Signals descriptor
> >
> >
> > "Rosen, Brian" wrote:
> > >
> > > This doesn't make sense to me; why would you be able to change the
> > > SignalType but not the duration.  If you want signal lists
> > to not have
> > > duration, they should not have signal type.  That is okay
> > with me, the
> > > signal type is then always defined by the last signal.
> >
> > Not by the last signal.  It's a little more complicated:
> > - only the last in the sequence can be on/off.  If so, the type of the
> > list is on/off;
> > - if the last in the sequence is not on/off, and there is an
> > element in
> > the sequence with type timout, the type of the list is timeout;
> > - if all elements of the sequence are type brief, then the
> > list is type
> > brief.
> >
> > John
> >
> > > Brian
> > >
> > > > -----Original Message-----
> > > > From: John Segers [mailto:[email-masked]]
> > > > Sent: Tuesday, January 25, 2000 3:16 AM
> > > > To: [email-masked]
> > > > Subject: Re: DTMF and Signals descriptor
> > > >
> > > >
> > > > Jo, Brian,
> > > >
> > > > I changed the occurrence of "sequential play list" to
> > > > "sequential signal
> > > > list".
> > > >
> > > > It doesn't make sense to me to define the duration of a
> > seq. signal
> > > > list. So in the paragraph on sequential signal lists, I
> > propose to add
> > > > the following sentence: "The duration of a sequential
> > signal list with
> > > > type timeout is equal to the sum of the durations of the
> > signals it
> > > > contains."
> > > >
> > > > John
> > > >
> > > > "Rosen, Brian" wrote:
> > > > >
> > > > > See comments below
> > > > >
> > > > > > -----Original Message-----
> > > > > > From: Jo Friedman [mailto:[email-masked]]
> > > > > > Sent: Monday, January 24, 2000 5:42 PM
> > > > > > To: [email-masked]
> > > > > > Subject: DTMF and Signals descriptor
> > > > > >
> > > > > >
> > > > > > Please tell me if I'm correct in assuming that there
> > are at least
> > > > > > two ways for the MGC to request the MG to signal DTMF
> > digits on a
> > > > > > physical termination. I also have some V13 comments related to
> > > > > > the signal descriptor below.
> > > > > >
> > > > > > Are both of these correct for dialing '125'?
> > > > > >
> > > > > > Signals {
> > > > > >    dg/pt {
> > > > > >       ind=100,         ; interdigit duration
> > > > > >       tl=[d1,d2,d5]   ; dtmf digits 125
> > > > > >    }
> > > > > > }
> > > > > > In this case how is the signal duration specified?
> > > > > Since the default SignalType for dtmf digits is BRief, the
> > > > duration is
> > > > > fixed (or provisioned) it could be overriden by using the
> > > > duration parameter
> > > > >
> > > > > to specify something else.  SignalType and Duration are
> > > > available for every
> > > > > signal.
> > > > >
> > > > > >
> > > > > > or
> > > > > >
> > > > > > SignalList = 10 {
> > > > > >    SignalType=Timeout,
> > > > > >    Duration=250,
> > > > > >    dg/d1,
> > > > > >    dg/d2,
> > > > > >    dg/d5
> > > > > > }
> > > > > Yes
> > > > >
> > > > > > V13 comments:
> > > > > > In 7.1.11 the last sentence of the 1st paragraph refers to
> > > > > > "sequential play lists". I assume that is the same as
> > "sequential
> > > > > > signal lists" so it should be replaced to avoid confusion.
> > > > > Yes, we should fix this
> > > > >
> > > > > >
> > > > > > In the ABNF for signalListParm the preceding comments contains
> > > > > > the phrase "at most once duration and every signal
> > parameter". I
> > > > > > understand "at most once duration" but I don't
> > understand what is
> > > > > > meant to be conveyed by the rest of the phrase.
> > > > > I think it means that a parameter to a signal can only
> > > > occur once per
> > > > > signal instance in the list (but signal can occur more than
> > > > once, and
> > > > > in each case signal parameters can be included (once).
> > > > >
> > > > > >
> > > > > > In the ABNF for signalListParm if SigSignalType=Timeout is
> > > > > > sigDuration required? The description of timeout in 7.1.11
> > > > > > implies if there is no duration the signal is played
> > until it is
> > > > > > turned off. In a signal list this doesn't make sense
> > because the
> > > > > > first signal in the list would be the only signal played,
> > > > > > wouldn't it?
> > > > > I don't think we talked about this.  A normal signal has a
> > > > default duration
> > > > > and if not specified, that is what you use.  A signal list
> > > > does not have
> > > > > a default duration.  At the moment, I'd say it's an
> > error to specify
> > > > > SignalType = TimeOut and not specify Duration.
> > > > >
> > > > > >
> > > > > > Thanks for any clarifications!
> > > > > > Jo
> > > > > >
> > > > >
> > > > > Brian
> > > >
> > > > --
> > > > John Segers                                  email:
> > [email-masked]
> > > > Lucent Technologies
> >  Room HE 306
> > > > Dept. Forward Looking Work                      phone:
> > +31 35 687 4724
> > > > P.O. Box 18, 1270 AA  Huizen                      fax:
> > +31 35 687 5954
> > > >
> >
> > --
> > John Segers                                  email: [email-masked]
> > Lucent Technologies                                        Room HE 306
> > Dept. Forward Looking Work                      phone: +31 35 687 4724
> > P.O. Box 18, 1270 AA  Huizen                      fax: +31 35 687 5954
> >